Name:           perl-CommonMark
Version:        0.290000
Release:        2%{?dist}
Summary:        Interface to the CommonMark C library
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/CommonMark
Source0:        https://cpan.metacpan.org/authors/id/N/NW/NWELLNHOF/CommonMark-%{version}.tar.gz

# build requirements
BuildRequires:  cmark-devel >= 0.21.0
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8
BuildRequires:  perl(Devel::CheckLib)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# runtime requirements
BuildRequires:  perl(Exporter)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(Encode)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Test::LeakTrace)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(constant)
Requires:       perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))

%description
This module is a wrapper around the official CommonMark C library libcmark.
It closely follows the original API.

%prep
%setup -q -n CommonMark-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1
%{make_build} %{?_smp_mflags}

%install
/usr/bin/make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{make_build} test

%files
%doc Changes
%license LICENSE
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/CommonMark*
%{_mandir}/man3/*

%changelog
* Thu Aug 01 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 0.290000-2
- Take into account review comments (#1735562)

* Tue Jul 30 2019 Emmanuel Seyman <emmanuel@seyman.fr> - 0.290000-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
